You need to enable JavaScript to run this app.
Torch Object Storage

Torch Object Storage

Copy page
Download PDF
19-MULTIPART
0019-00000104
Copy page
Download PDF
0019-00000104
Problem description​
When merging shards, the request body contains more than 10,000 shards.​
Root cause​
The user initiated a shard merge request with more than 10,000 shards in the request body, causing the request to fail.​
Example​
The request body contains more than 10,000 shards when you merge shards.​
​
POST /objectName?uploadId=UploadId HTTP/1.1​
Host: <Bucket name>.<TOS endpoint>​
Date: Fri, 30 Jul 2021 13:59:38 GMT​
Authorization: authorization string​
Content-Length: 100​
​
{​
"Parts":[{​
"PartNumber":partNumber,​
"ETag":"ETag"​
}...Omitting 10,000 shard details...]​
}​
​
Solution​
Check the request body structure and ensure the number of shards does not exceed 10,000.​
Last updated: 2025.10.11 16:00:23